## org.omg.PortableServer.POAPackage
Class ObjectNotActiveHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.POAPackage.ObjectNotActiveHelper

public class ObjectNotActiveHelper
extends java.lang.Object

Helper class for : ObjectNotActive

Author:
  OpenORB Compiler

Constructor Summary
`ObjectNotActiveHelper()`

Method Summary
`static ObjectNotActive` `extract(Any a)` Extract ObjectNotActive from an any
`static java.lang.String` `id()` Return the ObjectNotActive IDL ID
`static void` `insert(Any a, ObjectNotActive t)` Insert ObjectNotActive into an any
`static ObjectNotActive` `read(InputStream istream)` Read ObjectNotActive from a marshalled stream
`static TypeCode` `type()` Return the ObjectNotActive TypeCode
`static void` `write(OutputStream ostream, ObjectNotActive value)` Write ObjectNotActive into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectNotActiveHelper

    public ObjectNotActiveHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ObjectNotActive t)

  Insert ObjectNotActive into an any
  Parameters:
    `a` - an any
    `t` - ObjectNotActive value

### extract

    public static ObjectNotActive extract(Any a)

  Extract ObjectNotActive from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ObjectNotActive value

### type

    public static TypeCode type()

  Return the ObjectNotActive TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ObjectNotActive IDL ID
  Returns:
    an ID

### read

    public static ObjectNotActive read(InputStream istream)

  Read ObjectNotActive from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ObjectNotActive value

### write

    public static void write(OutputStream ostream,
                             ObjectNotActive value)

  Write ObjectNotActive into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ObjectNotActive value